/* Font family */
$-font-thin: 'Circe-Thin', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-extralight: 'Circe-ExtraLight', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-light: 'Circe-Light', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-regular: 'Circe-Regular', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-bold: 'Circe-Bold', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-extrabold: 'Circe-ExtraBold', 'Roboto', 'Arial', 'Helvetica', sans-serif;

$-font-thin-public: 'Montserrat-Thin', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-light-public: 'Montserrat-Light', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-regular-public: 'Montserrat-Regular', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-medium-public: 'Montserrat-SemiBold', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-bold-public: 'Montserrat-Bold', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-extrabold-public: 'Montserrat-ExtraBold', 'Roboto', 'Arial', 'Helvetica', sans-serif;
$-font-black-public: 'Montserrat-Black', 'Roboto', 'Arial', 'Helvetica', sans-serif;

$-code-family: Consolas, Menlo, Courier, monospace;

/* Font sizes */
$-font-size-small: 12px;
$-font-size-xs: 14px;
$-font-size-sm: 16px;
$-font-size-base: 18px;
$-font-size-normal: 20px;
$-font-size-lg: 36px;
$-font-size-xl: 42px;

/* Heading font sizes */
$-font-size-h6: 20px;
$-font-size-h5: 20px;
$-font-size-h4: 24px;
$-font-size-h3: 30px;
$-font-size-h2: 36px;
$-font-size-h1: 42px;

/* Line height */
$-line-height-base: 1.5;

/* Universal text categories */
.text-small {
  font-size: $-font-size-small;
}
.text-xs {
  font-size: $-font-size-xs;
}
.text-sm {
  font-size: $-font-size-sm;
}
.text-base {
  font-size: $-font-size-base;
}
.text-normal {
  font-size: $-font-size-normal;
}
.text-lg {
  font-size: $-font-size-lg;
}
.text-xl {
  font-size: $-font-size-xl;
}

/* Main text categories */
body {
  font-family: $-font-regular;
  font-size: $-font-size-base;
}

h1, .h1,
.block-typical .ql-snow .ql-editor h1 {
  color: $--color-text-primary;
  font-size: $-font-size-h1;
  font-family: $-font-extrabold;
  line-height: 50px;
  margin-bottom: 20px;
  letter-spacing: 1.4px;
}
h2,
.h2,
.block-typical .ql-snow .ql-editor h2,
.h2.el-breadcrumb__item > .el-breadcrumb__inner {
  color: $--color-text-primary;
  font-size: $-font-size-h2;
  font-family: $-font-bold;
  line-height: 40px;
  margin-bottom: 20px;
  letter-spacing: 1.4px;
  @include media-breakpoint-down(sm) {
    font-size: $-font-size-h4;
    line-height: 30px;
    margin-bottom: 15px;
    letter-spacing: .8px;
  }
}
h3, .h3,
.block-typical .ql-snow .ql-editor h3 {
  color: $--color-text-primary;
  font-size: $-font-size-h3;
  font-family: $-font-bold;
  line-height: 36px;
  letter-spacing: 1.2px;
  @include media-breakpoint-down(sm) {
    font-size: 24px;
    line-height: 28px;
    letter-spacing: .5px;
  }
}
h4, .h4,
.block-typical .ql-snow .ql-editor h4 {
  color: $--color-text-primary;
  font-size: $-font-size-h4;
  font-family: $-font-bold;
  line-height: 30px;
  letter-spacing: 1px;
  @include media-breakpoint-down(sm) {
    font-size: $-font-size-base;
    line-height: 24px;
    letter-spacing: .5px;
  }

}
h5, .h5,
.block-typical .ql-snow .ql-editor h5 {
  color: $--color-text-primary;
  font-size: $-font-size-h5;
  font-family: $-font-bold;
  line-height: 24px;
  letter-spacing: 1px;
  @include media-breakpoint-down(sm) {
    font-size: $-font-size-base;
    line-height: 20px;
    letter-spacing: .3px;
  }
}
h6, .h6 ,
.block-typical .ql-snow .ql-editor h6 {
  color: $--color-text-primary;
  font-size: $-font-size-h6;
  font-family: $-font-bold;
  line-height: 24px;
  letter-spacing: 1px;
}

/* Link */
$-link-color: $--color-primary;
$-link-hover-color: $--color-primary-light-3;
$-link-active-color: $--color-primary-light-2;
$-link-hover-decoration: none;

/* Disabled cursor */
$-cursor-disabled: not-allowed;

a,
.block-typical .ql-snow .ql-editor a {
  font-family: $-font-regular;
  color: $-link-color;
  background: transparent;
  text-decoration: none;
  cursor: pointer;
  letter-spacing: .3px;
  transition: color .3s ease;
  &:hover {
    color: $-link-hover-color;
  }
  &:active {
    color: $-link-active-color;
  }
  &:hover, &:active {
    text-decoration: none;
  }
  &[disabled] {
    color: $--disabled-color-base;
    cursor: $-cursor-disabled;
    pointer-events: none;
  }
}

p,
.block-typical .ql-snow .ql-editor p,
.block-typical .ql-snow .ql-editor span,
.block-typical .ql-snow .ql-editor ol,
.block-typical .ql-snow .ql-editor ul,
.text-item {
  color: $--color-text-regular;
  font-size: $-font-size-base;
  line-height: $-line-height-base;
  font-family: $-font-light;
  letter-spacing: .5px;
}

.menu-label {
  font-family: $-font-bold;
  font-size: $-font-size-base;
  text-transform: uppercase;
  color: $--color-menu-label;
  letter-spacing: 2.5px;
}

.menu-item {
  font-family: $-font-bold;
  font-size: $-font-size-base;
  color: $--color-text-regular;
  letter-spacing: .5px;
}

.public {
  &.body {
    font-family: $-font-regular-public;
  }
  h1, .h1 {
    font-family: $-font-bold-public;
  }
  h2,
  .h2,
  .h2.el-breadcrumb__item > .el-breadcrumb__inner,
  h3, .h3,
  h4, .h4,
  h5, .h5,
  h6, .h6 {
    font-family: $-font-bold-public;
  }
  a {
    font-family: $-font-regular-public;
  }
  p,
  .text-item {
    font-family: $-font-regular-public;
  }
  b {
    font-family: $-font-medium-public;
  }
}
